+++
title = "一些linux命令"
date = 2023-01-06
[taxonomies]
tags=["linux"]
+++
### 带进度的wc -l
```bash
awk 'BEGIN {T=0} (T!=systime()) { printf "%s %s\n",NR,$0 ; T=systime()} END { print NR}'
```
#### 使用
```bash
cat file |awk 'BEGIN {T=0} (T!=systime()) { printf "%s %s\n",NR,$0 ; T=systime()} END { print NR}'
```

### losf 查找删除文件
```bash
lsof |grep delete | sort -nrk 7| more
```

